Bug 27173 - r600 wierdness with shaders for blur effect in compiz
r600 wierdness with shaders for blur effect in compiz
Status: RESOLVED WONTFIX
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/R600
git
x86 (IA32) Linux (All)
: medium normal
Assigned To: Default DRI bug account
http://klone.anirev.net/blurwierdness...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-18 10:14 UTC by Kristoffer Tangfelt
Modified: 2014-07-07 16:01 UTC (History)
1 user (show)

See Also:


Attachments
attached file of the wierd rendering. incase the hosted one is unreliable or can't be reached. (530.09 KB, image/png)
2010-03-18 10:14 UTC, Kristoffer Tangfelt
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kristoffer Tangfelt 2010-03-18 10:14:12 UTC
When using the r600_dri driver with an AMD Radeon 3650. 
(identified in Xorg.0.log as. 
(--) RADEON(0): Chipset: "ATI Radeon HD 3600 XT" (ChipID = 0x9598)"

The areas that should be blurred due to alpha consists of some parts of the windows content but twisted in colors and orientation of the content. and in some areas like the pidgin window on the far-left the content is stretched.
Comment 1 Kristoffer Tangfelt 2010-03-18 10:14:38 UTC
Created attachment 34211 [details]
attached file of the wierd rendering. incase the hosted one is unreliable or can't be reached.
Comment 2 Andreas Boll 2012-11-02 16:32:06 UTC
Note: classic r600 driver has been abandoned.
Please use r600g (gallium driver) instead.

Is this still an issue with a newer driver/kernel?
Comment 3 Andreas Boll 2014-07-07 16:01:15 UTC
The classic r600 driver has been abandoned long ago.
It was replaced by the Gallium driver r600g.

If you have issues with r600g please file a new bug report with component Drivers/Gallium/r600

Thanks.